Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: imprimante déprimante  (Lu 1057 fois) sujet précédent - sujet suivant

Re : imprimante déprimante

Répondre #46
Bonsoir Jomo
Merci , jusque là , je le faisais plus avec " Ark" , par facilité.Ce que je ne connaissais pas , c'est comment faire avec les fichiers sources , ce que m'a donné Squid-f

Re : imprimante déprimante

Répondre #47
Pour compiler les fichiers source ? ça doit-être les commandes ./configure, make et make install mais il faut vérifier la procédure dans le fichier texte readme ou install et les dépendances doit-être installées à part !!!

Re : imprimante déprimante

Répondre #48
Bonjour Jomo
J'ai parcouru le dossier décompresser , il y a un read me par sous dossier , avec à chaque fois une ligne de commande , mais comme je ne suis pas familier avec la compilation ( c'est le moins que l'on puisse dire ) , et j'avais lu dans un de ces read me ,que si install.sh ne prenait pas , il fallait utiliser " autogen.sh " je crois  ( je me souviens que j'ai fait l'install avec , en ouvrant une konsole dans le dossier ), mais je ne le retrouve pas ,sinon je l'aurais mis en lien . Je continue quand même
Bonne journée

Re : imprimante déprimante

Répondre #49
Bonjour,
J'ai trouvé cet article qui décrit la procédure standard de compilation d'un paquet source : https://openclassrooms.com/fr/courses/43538-reprenez-le-controle-a-laide-de-linux/42370-compiler-un-programme-depuis-les-sources

Si on n'est pas familiarisé à utiliser la ligne de commande et les commandes tar, ls, ln, pwd, ./configure, make et make install : c'est une mauvaise idée de vouloir compiler un paquet source surtout si on a un système de paquet rpm.
De plus, j'ai pu lire dans un précédent message que l'impression dépasse de beaucoup le format A4 utilisé donc il me semble que ce problème est sans fin.

Re : imprimante déprimante

Répondre #50
Bonjour.

Me voilà de retour (de la montagne, pas de l'océan ;) ).

@jenrem, tu obtiens la même erreur que moi lors de la compilation du paquet source. Il semble que le script de Canon soit perfectible.

Dans un post précédent, je donnais les 2 options : source et paquet rpm. As-tu essayé d'installer la paquet rpm ?
Si non, je suis d'accord avec @jomo, il vaudrait mieux commencer par là.

Lien vers le paquet rpm : https://www.canon.fr/support/consumer_products/products/fax__multifunctionals/inkjet/pixma_mg_series/pixma-mg3650s.html?type=drivers&driverdetailid=tcm:79-1299578&os=linux%20%2864-bit%29&language=fr
Tu peux ensuite le décompresser depuis dolphin par un clic de droit et menu extraire. Sinon, dans une fenêtre de commande avec la commande tar par exemple.
Ensuite, tu te places dans le dossier décompressé dans une fenêtre de commande; tu dois avoir un fichier install.sh
Tu lances alors :
sudo ./install.sh

Pour moi, le script fonctionne mais je ne peux pas aller jusqu'au bout car il est demandé de brancher l'imprimante mais je n'ai pas ce modèle...

Courage!

A+

Re : imprimante déprimante

Répondre #51
Bonsoir à vous deux
Je viens de commencer l'install avec le fier .rpm  , je pense qu'il y a quand même un os avec le fichier de chez CANON
exemple
Recherche des imprimantes en cours...

./install.sh: ligne 507: cnijlgmon3 : commande introuvable
je precise que l'imprimante est connectée USB et sous tension
#=========================================================#
#  Sélectionner une imprimante
#=========================================================#
Sélectionnez l'imprimante.
Si l'imprimante à utiliser ne figure pas dans la liste, sélectionnez Mettre à jour [0] pour lancer de nouveau la recherche.
Pour annuler le processus, entrez [Q].
impossible de reconnaître l'imprimante
Même en passant par ajout d'imprimante de la config , elle n'est pas trouvée ??

Re : imprimante déprimante

Répondre #52
suite ,
j'ai essayé d'installer avec yast  , voila ce que ça donne
http://pix.toile-libre.org/upload/original/1594849682.png
J'essaierai demain la compilation
Dans le tuto de open classroom , il est dit qu'il faut installer un programme , mais il le donne en .deb , faut il l'installer aussi avec la 15.2
  J'avais oublié d'ouvrir les erreurs http://pix.toile-libre.org/upload/original/1594850009.png

Re : imprimante déprimante

Répondre #53
J'ai donné ce lien juste pour la méthode de compilation, mais c'est assez dur à faire car ce type de méthode ne tient pas compte des dépendances et des librairies nécessaire : c'est pour cela qu'il faut connaître la commandes ln voir chmod.
Il est sans doute possible d'installer des paquets .deb avec Open Suse mais c'est plutôt à éviter (la plupart des tutoriels sur le web sont écrits pour Ubuntu).
Pour l'installation du paquet rpm : le PC signale juste que le paquet incomplet ou corrompu. Il y n'a pas un sha256 pour vérifier le paquet ?

Re : imprimante déprimante

Répondre #54
On peut convertir un fichier .deb en rpm avec cette commande en root : alien --to-rpm package.deb
Le paquet alien doit être installé et comme le dit Jomo, il n'est pas tenu compte des dépendances éventuelles.

Re : imprimante déprimante

Répondre #55
Bonsoir et merci à vous deux
C'est vrai que le tuto de open classroom est bien fait , complet et détaillé , mais il y a de la " manipulation " à faire 
J'ai utilisé la ligne de commande de Squid-f  ( que j'envie d'être à la montagne , les estives doivent être plus calmes que les estivants )
Dans Leap 15.2 , l'imprimante n'est même pas détectée , lorsque je fais une recherche d'imprimante ,la réponse est toujours la même :" aucune imprimante détectée " 
Lorsque j'ai tenté l'install en ligne de commande , c'est pareil , mais j'ai l'erreur qui s'affiche , c'est le fichier " lgmon3  " qui est introuvable , alors qu'il est présent dans le fichier sources , mais je n'arrive pas à l'installer 
J'ai fait une recherche sur internet , il y a apparemment des soucis avec ce fichier , sur Ubuntu , slakware , Archlinux et une page de programme sur github mais pour la version 5.50
Ce que je ne comprends pas , c'est que dans le fichier sources ,il y a 1 doddier " DEB " mas pas de dossier " RPM "
Et en ce moment je patauge un peu avec tumbleweed  où j'ai perdu firefox et les codecs vidéo , au moins le MP4
Bonne soirée 



Re : imprimante déprimante

Répondre #57
Bonsoir Jomo , merci pour ces liens qui confirment qu'il y a bien un problème d'installation de cette imprimante sous linux , et moi j'ai la " S" ,c'est encore pire ,j'ai l'impression . J'ai réussi à la faire reconnaître sous Tumbleweed , Bullseye , Fedora 32 donc à l'installer , et sous Leap 15.2 , elle n'est même pas reconnue

Re : imprimante déprimante

Répondre #58
la configuration de matériel a été simplifiée avec le passage au noyau 5.6 et + Leap 15.2 doit avoir un noyau 5.3.
Il faut être motivé pour installer 3 distributions différentes pour tester un périphérique !

Re : imprimante déprimante

Répondre #59
Jomo , ma distribution c'est Tumbleweed sur un SSD , mais je ne veux pas installer dessus " plein " de logiciels autres que ceux fournis par Yast 
Mais j'ai quelques fois besoin d'autres applis , entre autre le presque  " indispensable " skype  qui est la solution de simplicité pour beaucoup d'utilisateurs wind , et là où j'ai besoin de skype , je dois être le seul utilisateur Linux , donc je ne fais pas le poids pour demander autre chose . A part Fedora qui tourne en permanence sur un autre ordi , Leap et Bullseye  sont sur 2 autres disques ( classiques ) sur mon ordi  , et se sont eux que j'utilise pour installer les logiciels types skype , et accessoirement  à faire les testes comme celui que je fais avec cette imprimante récalcitrante . Et j'aime bien voir comment sont faites les autres distrib 
Debian doit être encore avec un noyau 4( je dois vérifier ) , mais avec Leap 15.2 ( je ne vais pas rétrograder ma version ) elle n'est vraiment pas reconnue ??
Bonne journée